lkml.org 
[lkml]   [2020]   [Sep]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
Subject[PATCH v3 0/7] set clang minimum version to 10.0.1
From
Adds a compile time #error to compiler-clang.h setting the effective
minimum supported version to clang 10.0.1. A separate patch has already
been picked up into the Documentation/ tree also confirming the version.

Next are a series of reverts. One for 32b arm is a partial revert.

Then Marco suggested fixes to KASAN docs.

Finally, improve the warning for GCC too as per Kees.

Patches after 001 are new for v2.

v3 just collects tags and fixes typos in a few commit messages.

Marco Elver (1):
kasan: Remove mentions of unsupported Clang versions

Nick Desaulniers (6):
compiler-clang: add build check for clang 10.0.1
Revert "kbuild: disable clang's default use of -fmerge-all-constants"
Revert "arm64: bti: Require clang >= 10.0.1 for in-kernel BTI support"
Revert "arm64: vdso: Fix compilation with clang older than 8"
Partially revert "ARM: 8905/1: Emit __gnu_mcount_nc when using Clang
10.0.0 or newer"
compiler-gcc: improve version error

Documentation/dev-tools/kasan.rst | 4 ++--
Makefile | 9 ---------
arch/arm/Kconfig | 2 +-
arch/arm64/Kconfig | 2 --
arch/arm64/kernel/vdso/Makefile | 7 -------
include/linux/compiler-clang.h | 8 ++++++++
include/linux/compiler-gcc.h | 2 +-
lib/Kconfig.kasan | 9 ++++-----
8 files changed, 16 insertions(+), 27 deletions(-)

--
2.28.0.402.g5ffc5be6b7-goog

\
 
 \ /
  Last update: 2020-09-03 01:00    [W:0.155 / U:2.504 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site